Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSDeclarationPool

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSDeclarationPool

public final class XSDeclarationPool
extends java.lang.Object

This class is pool that enables caching of XML Schema declaration objects. Before a compiled grammar object is garbage collected, the implementation will add all XML Schema component declarations to the pool. Note: The cashing mechanism is not implemented yet.

Constructor Summary
`XSDeclarationPool()`

Method Summary
`XSAttributeDecl` | `getAttributeDecl()`
`XSAttributeUseImpl` | `getAttributeUse()`
`XSComplexTypeDecl` | `getComplexTypeDecl()`
`XSElementDecl` | `getElementDecl()`
`XSModelGroupImpl` | `getModelGroup()`
`XSParticleDecl` | `getParticleDecl()`
`weblogic.apache.xerces.impl.dv.xs.XSSimpleTypeDecl` | `getSimpleTypeDecl()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDeclarationPool

    public XSDeclarationPool()

Method Detail

### getElementDecl

    public final XSElementDecl getElementDecl()

### getAttributeDecl

    public final XSAttributeDecl getAttributeDecl()

### getAttributeUse

    public final XSAttributeUseImpl getAttributeUse()

### getComplexTypeDecl

    public final XSComplexTypeDecl getComplexTypeDecl()

### getSimpleTypeDecl

    public final weblogic.apache.xerces.impl.dv.xs.XSSimpleTypeDecl getSimpleTypeDecl()

### getParticleDecl

    public final XSParticleDecl getParticleDecl()

### getModelGroup

    public final XSModelGroupImpl getModelGroup()

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD